Bug 114376 - 2 * missing return statement
Summary: 2 * missing return statement
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: indent   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Petr Machata
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-27 12:38 UTC by d.binderman
Modified: 2015-05-05 01:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-18 17:55:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
declare void functions as void (1.10 KB, patch)
2004-02-01 01:04 UTC, Bart Martens
no flags Details | Diff

Description d.binderman 2004-01-27 12:38:42 UTC
Description of problem:

I just tried to compile package indent-2.2.9-3 from Redhat
Fedora Core 1.

The compiler said

1.

output.c(1213): remark #1011: missing return statement at end of
non-void function "inhibit_indenting"

The source code is

extern inhibit_indenting(
    BOOLEAN flag)
{
    inhibited = flag;
}

Suggest use void return type.

2.

texinfo2man.c(246): remark #1011: missing return statement at end of
non-void function "process_texi"

Duplicate.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bart Martens 2004-02-01 01:04:23 UTC
Created attachment 97394 [details]
declare void functions as void

Comment 2 Bart Martens 2004-02-11 05:53:24 UTC
I suggest to close this bug as not-a-bug, without use of the patch I
submitted. I realize now that there are lots of similar bug reports,
where a compiler warning is reported, not pointing to any real problem.


Comment 3 David Binderman 2004-11-20 10:05:16 UTC
I can confirm that this bug still exists in Fedora Core 3.


Comment 4 Petr Machata 2006-01-18 17:55:29 UTC
The fix (or rather cleanup?) is in rawhide.


Note You need to log in before you can comment on or make changes to this bug.